gnutls_ocsp_resp_get_certs(3)

NAME
gnutls_ocsp_resp_get_certs - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_certs(gnutls_ocsp_resp_const_t resp, gnutls_x509_crt_t ** certs, size_t * ncerts);

ARGUMENTS

gnutls_ocsp_resp_const_t resp
    should contain a gnutls_ocsp_resp_t type

gnutls_x509_crt_t ** certs
    newly allocated array with gnutls_x509_crt_t certificates

size_t * ncerts
    output variable with number of allocated certs.

DESCRIPTION
This function will extract the X.509 certificates found in the Basic OCSP Response. The certs output variable will hold a newly allocated zero-terminated array with X.509 certificates.

Every certificate in the array needs to be de-allocated with gnutls_x509_crt_deinit() and the array itself must be freed using gnutls_free().

Both the certs and ncerts variables may be NULL. Then the function will work as normal but will not return the NULL:d information. This can be used to get the number of certificates only, or to just get the certificate array without its size.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/